System.Design 2.0.0.0

Implement the interface to describe a custom data source at design time. For example, the , , and classes implement the interface.

Classes that implement the are used by custom control designer components to provide lists of fields and views for data-bound controls at design time.

Provides basic functionality for describing the structure of a data source at design time.

- Method
  2.0.0.0
  System.Web.UI.Design.IDataSourceViewSchema[]

  A class that implements the method returns an array of objects that implement the interface. For example, in the array returned by the method, each element of the array is a object that implements .

  Gets an array of schema descriptors for views contained in the data source.

  An array of objects.